Keywords
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/keywords \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/keywords"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12,
"keywords": [
{
"id": 1357,
"name": "fish"
},
{
"id": 5656,
"name": "sydney, australia"
},
{
"id": 970,
"name": "parent child relationship"
},
{
"id": 11477,
"name": "anthropomorphism"
},
{
"id": 10026,
"name": "harbor"
},
{
"id": 14785,
"name": "underwater"
},
{
"id": 15097,
"name": "shark"
},
{
"id": 33635,
"name": "pelican"
},
{
"id": 33759,
"name": "fish tank"
},
{
"id": 33760,
"name": "great barrier reef"
},
{
"id": 154896,
"name": "sea turtle"
},
{
"id": 156948,
"name": "missing child"
},
{
"id": 179430,
"name": "aftercreditsstinger"
},
{
"id": 179431,
"name": "duringcreditsstinger"
},
{
"id": 180557,
"name": "short-term memory loss"
},
{
"id": 180568,
"name": "clownfish"
},
{
"id": 180574,
"name": "father son reunion"
},
{
"id": 181068,
"name": "protective father"
},
{
"id": 325835,
"name": "melodramatic"
}
]
}Keywords
This endpoint get keywords associated with a specific movie
GET
/
3
/
movie
/
{movie_id}
/
keywords
Keywords
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"12"
Response
200 - application/json
Keywords
Example:
12
Show child attributes
Show child attributes
Example:
[ { "id": 1357, "name": "fish" }, { "id": 5656, "name": "sydney, australia" }, { "id": 970, "name": "parent child relationship" }, { "id": 11477, "name": "anthropomorphism" }, { "id": 10026, "name": "harbor" }, { "id": 14785, "name": "underwater" }, { "id": 15097, "name": "shark" }, { "id": 33635, "name": "pelican" }, { "id": 33759, "name": "fish tank" }, { "id": 33760, "name": "great barrier reef" }, { "id": 154896, "name": "sea turtle" }, { "id": 156948, "name": "missing child" }, { "id": 179430, "name": "aftercreditsstinger" }, { "id": 179431, "name": "duringcreditsstinger" }, { "id": 180557, "name": "short-term memory loss" }, { "id": 180568, "name": "clownfish" }, { "id": 180574, "name": "father son reunion" }, { "id": 181068, "name": "protective father" }, { "id": 325835, "name": "melodramatic" } ]
⌘I